STRCHR(3)

NAME
strchr - locate character in string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strchr(const char *s, int c);

DESCRIPTION
The strchr() function locates the first occurrence of c in the string pointed to by s. The terminating NUL character is considered part of the string. If c is ‘\0’, strchr() locates the terminating ‘\0’.

RETURN VALUES
The function strchr() returns a pointer to the located character, or NULL if the character does not appear in the string.

SEE ALSO
index(3), memchr(3), rindex(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The strchr() function conforms to ansiC.